Bug 988662 - [origin_runtime_192]The help messages of oo-user-var-add/list/remove are messy
[origin_runtime_192]The help messages of oo-user-var-add/list/remove are messy
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 01:50 EDT by chunchen
Modified: 2016-09-29 22:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:29:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-07-26 01:50:24 EDT
Description of problem:
When run oo-user-var-add/list/remove -h/--help, will show "invalid option -- h" or "unrecognized option `--help'",and duplicated help messages for oo-user-var-list/remove.

Version-Release number of selected component (if applicable):
fork_ami_origin_runtime_192_722

How reproducible:
always

Steps to Reproduce:
1. SSH into the instance
2. Show help messages of oo-user-var-add
oo-user-var-add -h
oo-user-var-add --help
3. Show help messages of oo-user-var-list
oo-user-var-list -h
oo-user-var-list --help
4. Show help messages of oo-user-var-remove
oo-user-var-remove -h
oo-user-var-remove --help

Actual results:
At step 2:
/usr/bin/oo-user-var-add: unrecognized option -- h     <<<<<<<<<<<<<<
== Synopsis

/usr/bin/oo-user-var-add: Adds a set of user environment variables to the app.
  This command must be run as root.

== Usage

/usr/bin/oo-user-var-add  --with-app-uuid APP_UUID \
                --with-container-uuid UUID \
                [--with-gears GEAR_DNS;GEAR_DNS]
                "KEY0=VALUE0" "KEY1=VALUE1"

Options:
-h|--help:
   Prints this message

UUID: Unique identifier for the application
GEAR_DNS: secondary gears to be updated after adding user variables
KEY VALUE pairs

At step 3:
/usr/bin/oo-user-var-list: invalid option -- h  <<<<<<<<<<<<<<<
== Synopsis

/usr/bin/oo-user-var-list: List the user environment variables from the app.
  This command must be run as root.

== Usage

/usr/bin/oo-user-var-list  --with-app-uuid APP_UUID \
                --with-container-uuid UUID

Options:
-h|--help:
   Prints this message

UUID: Unique identifier for the application

== Synopsis

/usr/bin/oo-user-var-list: List the user environment variables from the app.
  This command must be run as root.

== Usage

/usr/bin/oo-user-var-list  --with-app-uuid APP_UUID \
                --with-container-uuid UUID

Options:
-h|--help:
   Prints this message

UUID: Unique identifier for the application

can't find user for    <<<<<<<<<<<<<<<

At step 4:
/usr/bin/oo-user-var-remove: invalid option -- h   <<<<<<<<<<<<<<
== Synopsis

/usr/bin/oo-user-var-remove: Remove a list of user environment variables from the app.
  This command must be run as root.

== Usage

/usr/bin/oo-user-var-remove  --with-app-uuid APP_UUID \
                --with-container-uuid UUID \
                [--with-gears GEAR_DNS;GEAR_DNS]
                KEY0 KEY1

Options:
-h|--help:
   Prints this message

UUID: Unique identifier for the application
GEAR_DNS: secondary gears to be updated after adding user variables
KEY VALUE pairs

== Synopsis

/usr/bin/oo-user-var-remove: Remove a list of user environment variables from the app.
  This command must be run as root.

== Usage

/usr/bin/oo-user-var-remove  --with-app-uuid APP_UUID \
                --with-container-uuid UUID \
                [--with-gears GEAR_DNS;GEAR_DNS]
                KEY0 KEY1

Options:
-h|--help:
   Prints this message

UUID: Unique identifier for the application
GEAR_DNS: secondary gears to be updated after adding user variables
KEY VALUE pairs

can't find user for <<<<<<<<<<<<<<<<<<<<

Expected results:
All commands should prompt friendly help messages.

Additional info:
Comment 1 Michal Fojtik 2013-08-20 09:51:13 EDT
https://github.com/openshift/origin-server/pull/3429
Comment 2 openshift-github-bot 2013-08-21 12:43:37 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/dca12faf49c8d0448edf8a43a55648f2fdfc0085
Bug 988662 - Add exit(255) to the usage() methods for oo-user-var scripts
Comment 3 chunchen 2013-08-25 21:40:45 EDT
I have checked this issue on devenv_3706, found it is not completely fixed. 
When these commands are executed with "-h/--help", will still meet "invalid option -- h/unrecognized option `--help'" in help messages.
Comment 4 Michal Fojtik 2013-08-26 10:35:21 EDT
Hmm it seems like the --help/-h was not included in the list of available options... Fixed that: https://github.com/openshift/origin-server/pull/3497
Comment 5 openshift-github-bot 2013-08-26 12:56:58 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/56ac6aba01a5da6aba1cac888f253a4e139cfe8c
Bug 988662 - Add --help to list of arguments for oo-env-var-* commands
Comment 6 chunchen 2013-08-26 22:30:26 EDT
The issue in comment 3 is reproduced, checked on devenv_3711.
Comment 7 Michal Fojtik 2013-09-10 08:14:31 EDT
IMHO the commands were removed in the latest devenv:

# oo-user-var-add -h
-bash: oo-user-var-add: command not found

# oo-user-var-list -h
-bash: oo-user-var-list: command not found

I suggest to close this as a NOT_A_BUG? Thoughts?
Comment 8 Jhon Honce 2013-09-10 11:29:05 EDT
These commands were removed and replaced with oo-devel-node

Note You need to log in before you can comment on or make changes to this bug.